Subject: Re: bug#77917: 31.0.50; [PATCH] Stop using the "stop" sign for all warning levels

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 May 2025 10:39:23 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sun, 11 May 2025 09:58:30 +0300
> 
> > I understand the urge to use the icons, since when it works, the
> > display is much nicer.  But IMNSHO, the icon machinery we have is not
> > yet mature enough to use it in such ubiquitous situations, where
> > user-facing messages need to explain themselves with 110% clarity.
> > Showing something like "\u25b2Warning: ..." is not my idea of a good
> > warning UX.  We should try avoiding this at all costs, even if that
> > means, sadly, dropping the icon.
> 
> 'define-icon' was used successfully in many other packages
> for several releases without problems.

It depend on the use.  In this case, we use it for displaying
warnings, some of them are quite common on top of that.  It is not a
coincidence that this particular use caused so many discussions and
bug reports.

I mentioned at least one problematic aspect of define-icon's usage.
Showing successful uses of it doesn't solve that problem in any way.